package com.izouma.nineth.service;

import com.izouma.nineth.ApplicationTests;
import org.junit.jupiter.api.Test;
import org.springframework.beans.factory.annotation.Autowired;

import java.time.LocalDate;
import java.util.concurrent.ExecutionException;

import static org.junit.jupiter.api.Assertions.*;

class UserBalanceServiceTest extends ApplicationTests {

    @Autowired
    private UserBalanceService userBalanceService;

    @Test
    void settle() {
        userBalanceService.settle(LocalDate.of(2022, 04, 8), LocalDate.of(2022, 4, 10));

    }

    @Test
    void settleFile() {
    }

    @Test
    public void revert() throws ExecutionException, InterruptedException {
        userBalanceService.revert();
    }
}